## gnudoq 0.93.dfsg.1

=== Makefile ===
#############################################################################
# Makefile for building: GNUDoQ.app/Contents/MacOS/GNUDoQ
# Generated by qmake (2.00a) (Qt 4.1.0) on: Sat Dec 24 00:18:06 2005
# Project:  GNUDoQ.pro
# Template: app
# Command: /usr/local/Trolltech/Qt-4.1.0/bin/qmake -macx -o Makefile GNUDoQ.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = c++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -Os -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -Os -Wall -W $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/local/Trolltech/Qt-4.1.0/mkspecs/macx-g++ -I. -I/usr/local/Trolltech/Qt-4.1.0/include/QtCore -I/usr/local/Trolltech/Qt-4.1.0/include/QtGui -I/usr/local/Trolltech/Qt-4.1.0/include -I. -I. -I.
LINK          = c++
LFLAGS        = -headerpad_max_install_names
LIBS          = $(SUBLIBS) -L/usr/local/Trolltech/Qt-4.1.0/lib -lQtGui -L/private/tmp/qt-mac-opensource-src-4.1.0/lib -framework Carbon -framework QuickTime -lQtCore -lz -lm -framework ApplicationServices
AR            = ar cq
RANLIB        = ranlib -s
QMAKE         = /usr/local/Trolltech/Qt-4.1.0/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.C \
		sudoku-solve.C \
		sudoku.C \
		GNUDoQ.C \
		GNUDoQBoxWidget.C moc_GNUDoQ.cpp \
		moc_GNUDoQBoxWidget.cpp
OBJECTS       = main.o \
		sudoku-solve.o \
		sudoku.o \
		GNUDoQ.o \
		GNUDoQBoxWidget.o \
		moc_GNUDoQ.o \
		moc_GNUDoQBoxWidget.o
DIST          = /usr/local/Trolltech/Qt-4.1.0/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/mac/default_pre.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/mac/sdk.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/uic.prf \
		GNUDoQ.pro
QMAKE_TARGET  = GNUDoQ
DESTDIR       = 
TARGET        = GNUDoQ.app/Contents/MacOS/GNUDoQ

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile GNUDoQ.app/PkgInfo GNUDoQ.app/Contents/Info.plist GNUDoQ.app/Contents/Resources/GNUDoku.icns $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) "GNUDoQ.app/Contents/MacOS/" || $(MKDIR) "GNUDoQ.app/Contents/MacOS/"
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: GNUDoQ.pro  /usr/local/Trolltech/Qt-4.1.0/mkspecs/macx-g++/qmake.conf /usr/local/Trolltech/Qt-4.1.0/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/mac/default_pre.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/mac/sdk.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.1.0/lib/libQtGui.prl \
		/usr/local/Trolltech/Qt-4.1.0/lib/libQtCore.prl
	$(QMAKE) -macx -o Makefile GNUDoQ.pro
/usr/local/Trolltech/Qt-4.1.0/mkspecs/qconfig.pri:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/qt_config.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/exclusive_builds.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/default_pre.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/mac/default_pre.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/release.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/default_post.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/warn_on.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/qt.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/unix/thread.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/moc.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/mac/sdk.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/resources.prf:
/usr/local/Trolltech/Qt-4.1.0/mkspecs/features/uic.prf:
/usr/local/Trolltech/Qt-4.1.0/lib/libQtGui.prl:
/usr/local/Trolltech/Qt-4.1.0/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -macx -o Makefile GNUDoQ.pro

GNUDoQ.app/PkgInfo: 
	@$(CHK_DIR_EXISTS) "GNUDoQ.app" || $(MKDIR) "GNUDoQ.app"
	@$(DEL_FILE) GNUDoQ.app/PkgInfo
	@echo "APPL????" >GNUDoQ.app/PkgInfo
GNUDoQ.app/Contents/Info.plist: 
	@$(CHK_DIR_EXISTS) "GNUDoQ.app/Contents" || $(MKDIR) "GNUDoQ.app/Contents"
	@$(DEL_FILE) GNUDoQ.app/Contents/Info.plist
	@sed -e "s,@ICON@,GNUDoku.icns,g" -e "s,@EXECUTABLE@,GNUDoQ,g" -e "s,@TYPEINFO@,????,g" "/usr/local/Trolltech/Qt-4.1.0/mkspecs/macx-g++/Info.plist.app" >"GNUDoQ.app/Contents/Info.plist"
GNUDoQ.app/Contents/Resources/GNUDoku.icns: GNUDoku.icns
	@$(CHK_DIR_EXISTS) "GNUDoQ.app/Contents/Resources/" || $(MKDIR) "GNUDoQ.app/Contents/Resources/"
	@$(DEL_FILE) GNUDoQ.app/Contents/Resources/GNUDoku.icns
	@$(COPY_FILE) GNUDoku.icns GNUDoQ.app/Contents/Resources/
dist: 
	@$(CHK_DIR_EXISTS) ".tmp/GNUDoQ1.0.0" || $(MKDIR) ".tmp/GNUDoQ1.0.0"
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents sudoku-solve.H sudoku.H GNUDoQ.H GNUDoQBoxWidget.H .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents main.C sudoku-solve.C sudoku.C GNUDoQ.C GNUDoQBoxWidget.C .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents GNUDoQAboutForm.ui GNUDoQForm.ui .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents GNUDoQ_ar.ts GNUDoQ_fr.ts .tmp/GNUDoQ1.0.0/ && (cd `dirname .tmp/GNUDoQ1.0.0` && $(TAR) GNUDoQ1.0.0.tar GNUDoQ1.0.0 && $(COMPRESS) GNUDoQ1.0.0.tar) && $(MOVE) `dirname .tmp/GNUDoQ1.0.0`/GNUDoQ1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/GNUDoQ1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) -r GNUDoQ.app
	-$(DEL_FILE) Makefile


/usr/local/Trolltech/Qt-4.1.0/bin/moc:
	(cd "$(QTDIR)/src/tools/moc" && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_GNUDoQ.cpp moc_GNUDoQBoxWidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_GNUDoQ.cpp moc_GNUDoQBoxWidget.cpp
moc_GNUDoQ.cpp: ui_GNUDoQForm.h \
		GNUDoQBoxWidget.H \
		sudoku.H \
		sudoku-solve.H \
		GNUDoQ.H \
		/usr/local/Trolltech/Qt-4.1.0/bin/moc
	/usr/local/Trolltech/Qt-4.1.0/bin/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ GNUDoQ.H -o moc_GNUDoQ.cpp

moc_GNUDoQBoxWidget.cpp: GNUDoQBoxWidget.H \
		/usr/local/Trolltech/Qt-4.1.0/bin/moc
	/usr/local/Trolltech/Qt-4.1.0/bin/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ GNUDoQBoxWidget.H -o moc_GNUDoQBoxWidget.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all:
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_GNUDoQAboutForm.h ui_GNUDoQForm.h
compiler_uic_clean:
	-$(DEL_FILE) ui_GNUDoQAboutForm.h ui_GNUDoQForm.h
ui_GNUDoQAboutForm.h: GNUDoQAboutForm.ui
	/usr/local/Trolltech/Qt-4.1.0/bin/uic GNUDoQAboutForm.ui -o ui_GNUDoQAboutForm.h

ui_GNUDoQForm.h: GNUDoQForm.ui
	/usr/local/Trolltech/Qt-4.1.0/bin/uic GNUDoQForm.ui -o ui_GNUDoQForm.h

compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_uic_clean 

####### Compile

main.o: main.C ui_GNUDoQForm.h \
		GNUDoQ.H \
		GNUDoQBoxWidget.H \
		sudoku.H \
		sudoku-solve.H

sudoku-solve.o: sudoku-solve.C sudoku-solve.H \
		sudoku.H

sudoku.o: sudoku.C sudoku.H

GNUDoQ.o: GNUDoQ.C GNUDoQ.H \
		ui_GNUDoQForm.h \
		GNUDoQBoxWidget.H \
		sudoku.H \
		sudoku-solve.H \
		ui_GNUDoQAboutForm.h \
		GNUDoku.xpm

GNUDoQBoxWidget.o: GNUDoQBoxWidget.C GNUDoQBoxWidget.H

moc_GNUDoQ.o: moc_GNUDoQ.cpp 

moc_GNUDoQBoxWidget.o: moc_GNUDoQBoxWidget.cpp 

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
