## gnudoq 0.94

=== Makefile ===
#############################################################################
# Makefile for building: GNUDoQ.app/Contents/MacOS/GNUDoQ
# Generated by qmake (2.01a) (Qt 4.2.2) on: Sat Dec 30 01:07:28 2006
# Project:  GNUDoQ.pro
# Template: app
# Command: /usr/local/Trolltech/Qt-4.2.2/bin/qmake -macx -o Makefile GNUDoQ.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = c++
LEX           = flex
YACC          = yacc
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -Os -arch ppc -arch i386 -Wall -W -isysroot /Developer/SDKs/MacOSX10.4u.sdk  $(DEFINES)
CXXFLAGS      = -pipe -Os -arch ppc -arch i386 -Wall -W -isysroot /Developer/SDKs/MacOSX10.4u.sdk  $(DEFINES)
LEXFLAGS      = 
YACCFLAGS     = -d
INCPATH       = -I/usr/local/Trolltech/Qt-4.2.2/mkspecs/macx-g++ -I. -I/usr/local/Trolltech/Qt-4.2.2/include/QtCore -I/usr/local/Trolltech/Qt-4.2.2/include/QtCore -I/usr/local/Trolltech/Qt-4.2.2/include/QtGui -I/usr/local/Trolltech/Qt-4.2.2/include/QtGui -I/usr/local/Trolltech/Qt-4.2.2/include -I. -I. -I.
LINK          = c++
LFLAGS        = -headerpad_max_install_names -arch ppc -arch i386 -Wl,-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk
LIBS          = $(SUBLIBS)  -L/usr/local/Trolltech/Qt-4.2.2/lib -lQtGui -L/Users/luc/dl/qt-mac-opensource-src-4.2.2/lib -framework Carbon -framework QuickTime -framework AppKit -lQtCore -lz -lm -liconv -framework ApplicationServices
AR            = ar cq
RANLIB        = ranlib -s
QMAKE         = /usr/local/Trolltech/Qt-4.2.2/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = $(COPY_FILE)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = GNUDoQ.C \
		GNUDoQBoxWidget.C \
		main.C \
		sudoku-solve.C \
		sudoku.C moc_GNUDoQ.cpp \
		moc_GNUDoQBoxWidget.cpp
OBJECTS       = GNUDoQ.o \
		GNUDoQBoxWidget.o \
		main.o \
		sudoku-solve.o \
		sudoku.o \
		moc_GNUDoQ.o \
		moc_GNUDoQBoxWidget.o
DIST          = /usr/local/Trolltech/Qt-4.2.2/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/default_pre.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/objective_c.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/default_post.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/ppc.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/x86.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/rez.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/sdk.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/uic.prf \
		GNUDoQ.pro
QMAKE_TARGET  = GNUDoQ
DESTDIR       = 
TARGET        = GNUDoQ.app/Contents/MacOS/GNUDoQ

####### Custom Compiler Variables
QMAKE_COMP_QMAKE_OBJECTIVE_CFLAGS = -pipe \
		-Os \
		-arch \
		ppc \
		-arch \
		i386 \
		-Wall \
		-W


first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile GNUDoQ.app/Contents/PkgInfo GNUDoQ.app/Contents/Info.plist GNUDoQ.app/Contents/Resources/GNUDoku.icns $(TARGET)

$(TARGET): ui_GNUDoQAboutForm.h ui_GNUDoQForm.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) GNUDoQ.app/Contents/MacOS/ || $(MKDIR) GNUDoQ.app/Contents/MacOS/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: GNUDoQ.pro  /usr/local/Trolltech/Qt-4.2.2/mkspecs/macx-g++/qmake.conf /usr/local/Trolltech/Qt-4.2.2/mkspecs/common/unix.conf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/qconfig.pri \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_functions.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_config.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/exclusive_builds.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_pre.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/default_pre.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/objective_c.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/release.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_post.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/default_post.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/ppc.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/x86.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/warn_on.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/unix/thread.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/moc.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/rez.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/sdk.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/resources.prf \
		/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/uic.prf \
		/usr/local/Trolltech/Qt-4.2.2/lib/libQtGui.prl \
		/usr/local/Trolltech/Qt-4.2.2/lib/libQtCore.prl
	$(QMAKE) -macx -o Makefile GNUDoQ.pro
/usr/local/Trolltech/Qt-4.2.2/mkspecs/common/unix.conf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/qconfig.pri:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_functions.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt_config.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/exclusive_builds.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_pre.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/default_pre.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/objective_c.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/release.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/default_post.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/default_post.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/ppc.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/x86.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/warn_on.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/qt.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/unix/thread.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/moc.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/rez.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/mac/sdk.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/resources.prf:
/usr/local/Trolltech/Qt-4.2.2/mkspecs/features/uic.prf:
/usr/local/Trolltech/Qt-4.2.2/lib/libQtGui.prl:
/usr/local/Trolltech/Qt-4.2.2/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -macx -o Makefile GNUDoQ.pro

GNUDoQ.app/Contents/PkgInfo: 
	@$(CHK_DIR_EXISTS) GNUDoQ.app/Contents || $(MKDIR) GNUDoQ.app/Contents 
	@$(DEL_FILE) GNUDoQ.app/Contents/PkgInfo
	@echo "APPL????" >GNUDoQ.app/Contents/PkgInfo
GNUDoQ.app/Contents/Info.plist: 
	@$(CHK_DIR_EXISTS) GNUDoQ.app/Contents || $(MKDIR) GNUDoQ.app/Contents 
	@$(DEL_FILE) GNUDoQ.app/Contents/Info.plist
	@sed -e "s,@ICON@,GNUDoku.icns,g" -e "s,@EXECUTABLE@,GNUDoQ,g" -e "s,@TYPEINFO@,????,g" /usr/local/Trolltech/Qt-4.2.2/mkspecs/macx-g++/Info.plist.app >GNUDoQ.app/Contents/Info.plist
GNUDoQ.app/Contents/Resources/GNUDoku.icns: GNUDoku.icns
	@$(CHK_DIR_EXISTS) GNUDoQ.app/Contents/Resources/ || $(MKDIR) GNUDoQ.app/Contents/Resources/ 
	@$(DEL_FILE) GNUDoQ.app/Contents/Resources/GNUDoku.icns
	@$(COPY_FILE) GNUDoku.icns GNUDoQ.app/Contents/Resources/
dist: 
	@$(CHK_DIR_EXISTS) .tmp/GNUDoQ1.0.0 || $(MKDIR) .tmp/GNUDoQ1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents GNUDoku.H GNUDoQ.H GNUDoQAboutForm.h GNUDoQBoxWidget.H GNUDoQForm.h sudoku-solve.H sudoku.H GNUDoku.xpm .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents GNUDoQ.C GNUDoQBoxWidget.C main.C sudoku-solve.C sudoku.C .tmp/GNUDoQ1.0.0/ && $(COPY_FILE) --parents GNUDoQAboutForm.ui GNUDoQForm.ui .tmp/GNUDoQ1.0.0/ && (cd `dirname .tmp/GNUDoQ1.0.0` && $(TAR) GNUDoQ1.0.0.tar GNUDoQ1.0.0 && $(COMPRESS) GNUDoQ1.0.0.tar) && $(MOVE) `dirname .tmp/GNUDoQ1.0.0`/GNUDoQ1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/GNUDoQ1.0.0


yaccclean:
lexclean:
clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) -r GNUDoQ.app
	-$(DEL_FILE) Makefile


/usr/local/Trolltech/Qt-4.2.2/bin/moc:
	(cd $(QTDIR)/src/tools/moc && $(MAKE))

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_objective_c_make_all:
compiler_objective_c_clean:
compiler_moc_header_make_all: moc_GNUDoQ.cpp moc_GNUDoQBoxWidget.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_GNUDoQ.cpp moc_GNUDoQBoxWidget.cpp
moc_GNUDoQ.cpp: ui_GNUDoQForm.h \
		GNUDoQBoxWidget.H \
		sudoku.H \
		sudoku-solve.H \
		GNUDoQ.H \
		/usr/local/Trolltech/Qt-4.2.2/bin/moc
	/usr/local/Trolltech/Qt-4.2.2/bin/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ GNUDoQ.H -o moc_GNUDoQ.cpp

moc_GNUDoQBoxWidget.cpp: GNUDoQBoxWidget.H \
		/usr/local/Trolltech/Qt-4.2.2/bin/moc
	/usr/local/Trolltech/Qt-4.2.2/bin/moc $(DEFINES) $(INCPATH) -D__APPLE__ -D__GNUC__ GNUDoQBoxWidget.H -o moc_GNUDoQBoxWidget.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_rez_source_make_all:
compiler_rez_source_clean:
compiler_uic_make_all: ui_GNUDoQAboutForm.h ui_GNUDoQForm.h
compiler_uic_clean:
	-$(DEL_FILE) ui_GNUDoQAboutForm.h ui_GNUDoQForm.h
ui_GNUDoQAboutForm.h: GNUDoQAboutForm.ui
	/usr/local/Trolltech/Qt-4.2.2/bin/uic GNUDoQAboutForm.ui -o ui_GNUDoQAboutForm.h

ui_GNUDoQForm.h: GNUDoQForm.ui
	/usr/local/Trolltech/Qt-4.2.2/bin/uic GNUDoQForm.ui -o ui_GNUDoQForm.h

compiler_clean: compiler_objective_c_clean compiler_moc_header_clean compiler_rcc_clean compiler_image_collection_clean compiler_moc_source_clean compiler_rez_source_clean compiler_uic_clean 

####### Compile

GNUDoQ.o: GNUDoQ.C GNUDoQ.H \
		ui_GNUDoQForm.h \
		GNUDoQBoxWidget.H \
		sudoku.H \
		sudoku-solve.H \
		ui_GNUDoQAboutForm.h \
		GNUDoku.xpm
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GNUDoQ.o GNUDoQ.C

GNUDoQBoxWidget.o: GNUDoQBoxWidget.C GNUDoQBoxWidget.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o GNUDoQBoxWidget.o GNUDoQBoxWidget.C

main.o: main.C ui_GNUDoQForm.h \
		GNUDoQ.H \
		GNUDoQBoxWidget.H \
		sudoku.H \
		sudoku-solve.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.C

sudoku-solve.o: sudoku-solve.C sudoku-solve.H \
		sudoku.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sudoku-solve.o sudoku-solve.C

sudoku.o: sudoku.C sudoku.H
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o sudoku.o sudoku.C

moc_GNUDoQ.o: moc_GNUDoQ.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_GNUDoQ.o moc_GNUDoQ.cpp

moc_GNUDoQBoxWidget.o: moc_GNUDoQBoxWidget.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_GNUDoQBoxWidget.o moc_GNUDoQBoxWidget.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:
