=== debian/changelog ===
gnudoq (0.94-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to source format 3.0 (quilt).
  * Switch to compat level 10. (Closes: #817484)
  * Remove dh_desktop because it does nothing anymore. (Closes: #817296)
  * Remove duplicate Section field from binary package.
  * d/control: Add ${misc:Depends} substvar.
  * gnudoq.desktop: Create a valid desktop file.
  * gnudoq.desktop: Change GenericName to Sudoku. (Closes: #743468)
  * Update Homepage field because the old website was reported as a
    malware/phishing site.

 -- Markus Koschany <apo@debian.org>  Wed, 05 Oct 2016 01:10:03 +0200

gnudoq (0.94-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add fix-643396-format-security.patch. Fix FTBFS: error: format not a
    string literal and no format arguments [-Werror=format-security].
    (Closes: #643396).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 25 Nov 2011 18:50:05 +0100

gnudoq (0.94-2) unstable; urgency=low

  * Move binary to /usr/games.
  * Move man page to section 6.
  * Bump standards version (no change needed).
  * Change my e-mail address.
  * Add Homepage tag.
  * Use quilt.
  * Add patches/gnudoq-gcc-4.3.diff to allow building with gcc 4.3 (Closes:
    #455655).

 -- Arnaud Cornet <acornet@debian.org>  Sun, 03 Feb 2008 12:23:02 +0100

gnudoq (0.94-1) unstable; urgency=low

  * New upstream release
  * Drop patches/02-times-roman.diff, merged upstream.
  * No need for dfsg as upstream cleaned-up his source.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sat, 12 May 2007 13:12:09 +0200

gnudoq (0.93.dfsg.1-5) unstable; urgency=low

  * patches/02-times-roman.diff: Use a more standard font (Closes: #369571).
  * Updated standards version to 3.7.2. No change required.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 10 Sep 2006 13:13:29 +0200

gnudoq (0.93.dfsg.1-4) unstable; urgency=low

  * Added menu entry and desktop file.

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Thu, 13 Apr 2006 17:12:43 +0200

gnudoq (0.93.dfsg.1-3) unstable; urgency=low

  * Triturate the CONFIG variable to have qmake-qt4 behave correctly.
  Just another attempt to actually fix #355932.
  * Add a watch file (Closes: #357854).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Sun, 26 Mar 2006 19:51:17 +0200

gnudoq (0.93.dfsg.1-2) unstable; urgency=low

  * Fix to build against lates libqt4 (Closes: #355932).

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Thu,  9 Mar 2006 11:11:00 +0100

gnudoq (0.93.dfsg.1-1) unstable; urgency=low

  * Initial debian package

 -- Arnaud Cornet <arnaud.cornet@gmail.com>  Mon, 06 Feb 2006 16:22:37 +0100
