=== debian/control ===
Source: gnudoq
Section: games
Priority: optional
Maintainer: Arnaud Cornet <acornet@debian.org>
Standards-Version: 3.7.3
Build-Depends: cdbs, libqt4-dev, qt4-dev-tools, g++ (>= 4.0.2-2), debhelper (>= 10)
Homepage: https://tracker.debian.org/pkg/gnudoq

Package: gnudoq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: An open source, graphical Su Doku generator and solver with printer support
 GNUDoQ is an open source, graphical Su Doku generator and solver that features
 a powerful Su Doku generator, a Su Doku solver a Puzzle printouts or PDF
 exports.
 This program is based on the excellent work of the GNUDoku team, which
 developed the Su Doku engine behind GNUDoQ.
