=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// http://www.thelemmings.net/static.php?page=GNUDoQ .*/GNUDoQ-(.*)\.tar\.bz2
